DS_FIND_1D_SUM(3)

FUNCTION
ds_find_1D_sum - Find the sum of a 1D array.

SYNOPSIS
#include <karma_ds.h>

flag ds_find_1D_sum

(CONST char *data, unsigned int elem_type, unsigned int num_values, CONST uaddr *offsets, unsigned int stride, double sum[2])

DESCRIPTION
This routine will find the sum of a single trace (element versus a dimension). This routine may be called repeatedly with multiple traces in order to build an aggregate sum of all traces.

data
    A pointer to the data. Misaligned data will cause bus errors on some platforms.

elem_type
    The type of the element.

num_values
    The length of the dimension.

offsets
    The address offsets for data along the dimension.

stride
    If the value of offsets is NULL, this gives the stride (in bytes) between consecutive values along the dimension.

sum The sum is written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/